curl --request POST \
--url https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read"
payload = { "inputs": [{ "name": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read"
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"fieldType": "BOOLEANCHECKBOX",
"name": "<string>",
"type": "BOOL",
"accessAllowlist": [
{
"accessType": "EDIT",
"entityId": "<string>",
"entityType": "ADMIN"
}
],
"archivable": true,
"archived": true,
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"currencyPropertyName": "<string>",
"dataEntryInstructions": "<string>",
"dataSensitivity": "HIGH",
"dateDisplayFormat": "ABSOLUTE",
"defaultValue": "<string>",
"description": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"label": "<string>",
"numberDisplayFormat": "CURRENCY",
"optionColors": [
{
"color": "BLACK",
"optionName": "<string>"
}
],
"options": [
{
"description": "<string>",
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>"
}
],
"optionsSource": "CALL_DISPOSITION",
"readOnlyDefinition": true,
"readOnlyOptions": true,
"readOnlyValue": true,
"rollupConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"rollupType": "AVG",
"conditionalFormula": "<string>"
},
"sensitiveDataCategories": [
"<string>"
],
"syncConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"syncPreference": "FIRST_CREATED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>",
"validationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"fieldType": "BOOLEANCHECKBOX",
"name": "<string>",
"type": "BOOL",
"accessAllowlist": [
{
"accessType": "EDIT",
"entityId": "<string>",
"entityType": "ADMIN"
}
],
"archivable": true,
"archived": true,
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"currencyPropertyName": "<string>",
"dataEntryInstructions": "<string>",
"dataSensitivity": "HIGH",
"dateDisplayFormat": "ABSOLUTE",
"defaultValue": "<string>",
"description": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"label": "<string>",
"numberDisplayFormat": "CURRENCY",
"optionColors": [
{
"color": "BLACK",
"optionName": "<string>"
}
],
"options": [
{
"description": "<string>",
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>"
}
],
"optionsSource": "CALL_DISPOSITION",
"readOnlyDefinition": true,
"readOnlyOptions": true,
"readOnlyValue": true,
"rollupConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"rollupType": "AVG",
"conditionalFormula": "<string>"
},
"sensitiveDataCategories": [
"<string>"
],
"syncConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"syncPreference": "FIRST_CREATED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>",
"validationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch read properties
Retrieve a batch of properties for a specified object type in HubSpot. This endpoint allows you to specify which fields to include in the response, enabling efficient data retrieval for multiple properties at once. It is useful for applications that need to access detailed property information in bulk.
curl --request POST \
--url https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read"
payload = { "inputs": [{ "name": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read"
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/schemas/2027-03-beta/objects/{objectTypeId}/properties/batch/read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"fieldType": "BOOLEANCHECKBOX",
"name": "<string>",
"type": "BOOL",
"accessAllowlist": [
{
"accessType": "EDIT",
"entityId": "<string>",
"entityType": "ADMIN"
}
],
"archivable": true,
"archived": true,
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"currencyPropertyName": "<string>",
"dataEntryInstructions": "<string>",
"dataSensitivity": "HIGH",
"dateDisplayFormat": "ABSOLUTE",
"defaultValue": "<string>",
"description": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"label": "<string>",
"numberDisplayFormat": "CURRENCY",
"optionColors": [
{
"color": "BLACK",
"optionName": "<string>"
}
],
"options": [
{
"description": "<string>",
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>"
}
],
"optionsSource": "CALL_DISPOSITION",
"readOnlyDefinition": true,
"readOnlyOptions": true,
"readOnlyValue": true,
"rollupConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"rollupType": "AVG",
"conditionalFormula": "<string>"
},
"sensitiveDataCategories": [
"<string>"
],
"syncConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"syncPreference": "FIRST_CREATED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>",
"validationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": "HUBSPOT_DEFINED",
"fieldType": "BOOLEANCHECKBOX",
"name": "<string>",
"type": "BOOL",
"accessAllowlist": [
{
"accessType": "EDIT",
"entityId": "<string>",
"entityType": "ADMIN"
}
],
"archivable": true,
"archived": true,
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"currencyPropertyName": "<string>",
"dataEntryInstructions": "<string>",
"dataSensitivity": "HIGH",
"dateDisplayFormat": "ABSOLUTE",
"defaultValue": "<string>",
"description": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"label": "<string>",
"numberDisplayFormat": "CURRENCY",
"optionColors": [
{
"color": "BLACK",
"optionName": "<string>"
}
],
"options": [
{
"description": "<string>",
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>"
}
],
"optionsSource": "CALL_DISPOSITION",
"readOnlyDefinition": true,
"readOnlyOptions": true,
"readOnlyValue": true,
"rollupConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"rollupType": "AVG",
"conditionalFormula": "<string>"
},
"sensitiveDataCategories": [
"<string>"
],
"syncConfig": {
"associatedRecordProperty": "<string>",
"associatedRecordType": "<string>",
"associationSpec": {
"category": "HUBSPOT_DEFINED",
"typeId": 123
},
"syncPreference": "FIRST_CREATED"
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>",
"validationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Scope requirements
Scope requirements
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object type for which properties are being retrieved.
Query Parameters
An array of field names to include in the response. Valid values include 'category', 'label', 'type', 'fieldType', 'groupName', 'description', 'options', 'createdAt', 'updatedAt', 'hidden', 'readOnlyValue', 'readOnlyDefinition', 'hasUniqueValue', 'archivable', 'readOnlyOptions', 'calculationFormula', 'archived', 'calculated', 'optionsSource', 'dateDisplayFormat', 'numberDisplayFormat', 'currencyPropertyName', 'updatedByUserId', 'createdByUserId', 'dataEntryInstructions', 'optionColors', 'accessAllowlist', 'dataSensitivity', 'defaultValue', 'formField', 'sensitiveDataCategories', 'validationRules', 'rollupConfig', 'syncConfig'.
category, label, type, fieldType, groupName, description, options, createdAt, updatedAt, hidden, readOnlyValue, readOnlyDefinition, hasUniqueValue, archivable, readOnlyOptions, calculationFormula, archived, calculated, optionsSource, dateDisplayFormat, numberDisplayFormat, currencyPropertyName, updatedByUserId, createdByUserId, dataEntryInstructions, optionColors, accessAllowlist, dataSensitivity, defaultValue, formField, sensitiveDataCategories, validationRules, rollupConfig, syncConfig Body
An array of property name inputs to be read. Each item in the array is an object that specifies the name of the property to be retrieved.
Show child attributes
Show child attributes
Response
successful operation
The date and time when the batch operation was completed, in ISO 8601 format.
An array of results from the batch operation, each item representing a public API property involved in the operation.
Show child attributes
Show child attributes
The date and time when the batch operation started, in ISO 8601 format.
The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.
CANCELED, COMPLETE, PENDING, PROCESSING A map of link names to associated URIs, providing additional resources or documentation related to the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation was requested, in ISO 8601 format.
Was this page helpful?